APIAuth

List roles

List the built-in and custom roles in the organization.

GET
/roles

List the built-in and custom roles in the organization.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_roles

Response Body

The request has succeeded.

application/json
  1. response
items*array<>
curl -X GET "https://example.com/roles"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "permissions": [        {          "permission": "view_agents",          "scope": "all"        }      ],      "system": true,      "created_at": "2019-08-24T14:15:22Z",      "user_count": 0    }  ]}